import { SimpleLocalIntegration } from '../../core/index.js';
import { AppleTvConfigFlow } from './apple_tv.classes.configflow.js';
import { createAppleTvDiscoveryDescriptor } from './apple_tv.discovery.js';
import type { IAppleTvConfig } from './apple_tv.types.js';
import { appleTvDomain, appleTvProfile } from './apple_tv.types.js';

export class AppleTvIntegration extends SimpleLocalIntegration<IAppleTvConfig> {
  public readonly domain = appleTvDomain;
  public readonly discoveryDescriptor = createAppleTvDiscoveryDescriptor();
  public readonly configFlow = new AppleTvConfigFlow();

  constructor() {
    super(appleTvProfile);
  }
}

export class HomeAssistantAppleTvIntegration extends AppleTvIntegration {}
